AutoCAD Inventor :: Retrieve Start Point On New Sketch
Apr 24, 2012how do I retrieve the centre point in my design axis in Inventor, when I create a new sketch, like the point at x0:y0:z0
View 2 Replieshow do I retrieve the centre point in my design axis in Inventor, when I create a new sketch, like the point at x0:y0:z0
View 2 RepliesI have been searching for a macro to export the start and end point of a line coordinates to excel, but I can only find information on how to export 3D Points.
Is it possible to program a macro that allows me to export the start and end point of various lines in a sketch?
The objective of this is to connect an excel file which is updated when I create a line with it correspondent points, then i could not only import these x,y,z coordinates from excel to inventor but I whould be able to update my spreedsheet whenever I change my sketch.
I typically have a part file with bunch of sketch blocks as die drawings.I use those for rest of my workflow.
If I want to make drawings of these sections.
Is there a way by which I can retieve all dimensions from the sketch of the sketch blocks (die) on to a drawing.
I know that I can get model sketches but I do not know a way to get the model sketch dimensions.
Config :: Intel (R) Xeon (R) CPU E31245 @ 3.30 GHz, 16.0 GB, 64bit win7
Inventor 2013 and Vault Basic 2013
I was trying to query some sketch points data from a profile Path using code as below. However the program stopped without telling the reason.
Code below:
i = 0;
foreach (ProfileEntity oSourceProfileEntity in oProfilePath) { switch (oProfilePath[i].SketchEntity.Type) { case ObjectTypeEnum.kSketchArcObject: { SketchArc srcSkArc = default(SketchArc); srcSkArc = (SketchArc) oSourceProfileEntity.SketchEntity; // error points[i] = srcSkArc.StartSketchPoint.Geometry; break; } default: { SketchLine srcSkLine = default(SketchLine); srcSkLine =(SketchLine) oProfilePath[i].SketchEntity; // error points[i] = srcSkLine.StartSketchPoint.Geometry; break; } } i++; }
I use vb.net draw a cube frame (just point and add edge to link points) in 3dsketch. But at the corner, I got only one edge, the others are filled that is a arc is inserted between the 2nd & 3rd edge to the corner point. There is no second edge is extended to that point.
Just wondering why I got the result. There is no fillet command in my code.
I want to concide two points of two different lines.These two lines have been created in two different workplanes with 2D sketch.
View 7 Replies View RelatedI'm trying to contrain the end points of 2 lines using iLogic. I know the end points but I cannot get the values into the SketchPoint object. The real odd thing is I can create the lines no problem. I tried it 2 different ways shown below. The first way gives me this error..."Object reference not set to an instance of an object.". The second says "Unable to cast COM object.."
Dim oTG As TransientGeometry
oTG = ThisApplication.TransientGeometry
Dim EntityEndPt As SketchPoint
EndPtX = 0 * 2.54
EndPtY = 3 * 2.54
‘Code Fails Here!
EntityStartPt.Geometry.X = EndPtX
I just want to know that how can I get the center point from a Sketch Object ?
View 1 Replies View RelatedHow would one add a sketch-point to a midpoint of an arc? For a SketchLine its easy...
oSketch.GeometricConstraints.AddMidpoint oSketchPoint, oSketchLine
However, I can't see how to do the same operation to find the midpoint of a SketchArc. The interface of course has a selection filter for this so I assume the API can do the same?
The screen shot below shows three coincident constraints and a projection icon on the origin.
looks like a projection icon - what does it mean?
I want to delete the three coincident constraints. But when I delete the coincident constraints there is no Sketch origin center point (the sketch origin center point is a square-yellow dot at the x-y intersection). How to delete or move the three coincident constraints with out deleting the sketch origin center point?
I have this assembly shown in the pic. below. I'm trying to create a point or axis in the blue corner points (to attaches something later on) but it just won't let me choose it for some reason. I know that it's possible to to do that (almost sure I already done this trivial thing in inventor.)
Any reason it's not letting me choose the sketch points/line to in order to create points or axis(s)?
Inventor 2012 Pro.
I7 workstation
I cannot make a plane parallel to a surface and through a sketch point.
I can't also select the sketch point or line in order to make an axis. the sketch point, line from the sketch or anything from a sketch isn't selectable.
It goes f.e. like this:
I draw a line (no constrains) and I can move it by grabing an end or whole line by click&hold mouse button, great.
But after couple minutes of work with part and sketches I can't grab anything. Even on new created sketches and new lines. Click and drag just open rectangle selection. Oh, between these phases there is a phase when 2nd click&hold works...
When I open/create another part it is normall, but this one I must close and open again.
Inventor 2010
Some how I turned off the snap to end point in the sketch mode. where is the dialog box to control snap settings
I would like to use iLogic to find the location of the points of a line, determine if the line is approximately vertical, and apply a vertical constraint if it is vertical.
Here is the code process I envision:
1. Automatically select a straight line.
2. Find the location of its end points.
3. Compare the X-value of the end points to see if they are vertically aligned (or almost so).
4. If they are vertically aligned, apply a vertical constraint.
5. Select next line and repeat.
Is this possible with iLogic? I don't see any way of calling a line's sketch points or finding their location.
I know why you cant loop select and offset the rectangle but surley if you are going to take the time to listen to users and create requested tools, you should do it well?
View 4 Replies View RelatedIn assembly mode, how can I click on two lines in a part sketch and get there intersection point using VBA?
View 3 Replies View RelatedUnfortunately, it's chock full of proprietary customer data, so I can't share the parts or the assembly. But I can pretty well explain what needs to happen, and I've attached a JPG that shows a bit of what I'm doing.
I need to design a bracket to hold an RPM sensor at a certain gap to a spiral bevel gear. I've got a huge assembly model (non-Inventor) from the customer, as well as the model for the sensor. My plan is to start a master IAM, insert the customer assembly, insert the sensor and constrain him, and draw the various hardware I need around the sensor.
So I start by making a work plane that matches the bevel angle and is in a location so the end of my sensor will be flush to that plane. Create a sketch on that plane, then project 2 relevant axes to create the appropriate "origin" from which my location will be based. Place a point on one line, at a certain radial distance and constrain my point.
So now I've got a point and a plane that are where I want my sensing face and my centerline axis to be. What now? I was thinking that I'd create a work axis "normal to plane through a point", but this workflow isn't available in the assembly environment. I can't constrain a solid to a sketch point, so I really don't know what to do at this point in order to put the part where I need it.
I'm trying to draw a plan of my house in Autocad 2009 but I seem to be endlessly using trim and extend because I can't easily select the points that I want with osnap. Eg. imagine I have a box, and I want to start drawing another box inside it that has each side as 10 units smaller than the corresponding side on the outer box.
Step 1 - I draw a small line from the top left corner of the big box using the endpoint snap, typing in "5" for the length.
Step 2 - I then do the same at right angles to the first line to get me to the starting point of the inner box. This always leaves me with 2 small lines to remember to delete.
Step 3 - Then in order to draw the top line of the inner box I end up drawing to a random length because I can't say "draw until 5 units away from the right hand side of the big box", then I end up trimming it later once I've repeated steps 1,2 and 3 for the next side of the inner box.
I know in my example above I could have scaled the box down or something but that's not what I'm getting at. I really want a way of selecting line start and end points that are a known position away from an existing point.
like in the attachment,i can creat a box from XY plane(which implies Z=0),and i can pull(extrude) to a height ,to say 100,a solid created.then from this plane i want to creat a header at a different XY region.How i can freely draw a sketch (locked) in this plane like i draw in Z=0,XY plane?I have tried UCS(creat a new ucs at the top of the former solid) in 3d,but when i projected to top view to draw the box ,it is still drawn in Z=0 plane,and pull up or down from that plane ,but what i want to creat is an object from height maybe 60 to 100,or even 60 to 70,it do not touch Z=0 at all.
View 9 Replies View RelatedI tried to set Polyline.StartPoint to new position (Point3d):
Polyline.StartPoint = myNewPoint3d;
I have "not implemented" exception.
Also, I tried to do it as:
var seg0 = acEnt.GetLineSegmentAt(0);
seg0.Set(newPoint3d(0, 0, 0), seg0.EndPoint);
It doesn't work also. I can do it as:
acEnt.SetPointAt(0, my2dPoint);
But it's 2D point, not 3d
Of course I can remove polyline and create it again, but. How to set start point correctly for 3d point?
I draw a pline. It asks me for the start point. I type in INT. I used to get this 'x' when I was near the intersection. That is now gone. It will still go to the intersection, but I really want my 'x' back.
View 9 Replies View Related[Managed ObjectARX 2007 with C#]
I am trying to create an arc with start point, end point, and radius. So that if the arc gets drawn, I going to use the center point.
Well, I guess I can use "SendStringToExecute()" or "SendCommand()" and "ObjectAppended" event handler to get the arc object.
I want to add say a circle and an arrow at the two ends of a line. I am able to do it using Blocks for one single line by inserting the blocks at desired locations. But how to do it for say all the lines in a drawing or shape file without customization.
View 1 Replies View RelatedC3D 2010..I have a alignemnt that I need to move the starting point 120' east of where it is now.
I've treid a slew of thing to no avail. Can this be easily done?I already have existing profiles for the current alignment.
I draw 3 lines to form an open polyline. They are still in lines, not converted into a polyline.
How do I find the start or end point of the polyline with program? I am thinking to check all points which is not shared by two lines.
I have a problem with absolute and relative coordinate regarding drawing an arc.
From my previous studies, I thought whenever I input coordinates in command line, in order to use absolute coordinates I just enter them. If I want to use relative coord, then I can prefix them with @ sign.
For an arc I input as follows: start point: 0,0 2nd point: 500,500 end point: 1000,0. I was expecting to get a half circle from origin to 1000,0 point but to my surprise I find out that CAD gets the input coordinates as relative.
Am I missing something? 1.dwg1.jpg Is this behavior same for all other object drawings?
I have to draw hundreds of lines that have same start point. How can i do this?
I am trying to insert a picture but seem impossible for me. Sow i have lines with the same start point and different endpoints. There is a short way to do this. so avoid to enter the same start point for hundreds times or snap the the same point infinitely... what about Copy with grips or Change command in this case?
I've created a shared sketch and have used it with various features. Sometime those features are suppressed. The model works fine but the shared sketch generates a sketch doctor error because the feature that created it has been suppressed. Is there anyway to make the sketch suppressed so it doesn't trigger a sketch doctor error? Inventor 2013
View 2 Replies View RelatedHow do I duplicate the 2D line work from a part level sketch into a drawing level (overlay) sketch?
I started a simple 2D piping system diagram sketch by opening a new part file and using a sketch to stick draw the system schematic including some annotations. Then I opened a new drawing file and made a base view of the part file to bring a view of the original sketch into the drawing.
I realize now that it would have been much easier to have created the schematic directly in a 2D sketch at the drawing level, which would have made editing the annotations much easier at the drawing level, and there is really no need for the part file to exist. I have no intention of creating a 3D model or "real" part in the .ipt file, was just using it as a jumping off point to sketch.
I was thinking that I could correct my error in judgment by just copying the sketch and pasting it into a new sketch on the drawing, but it doesn't want to work that way. I have tried copying both the whole sketch at the browser level, and the entire sketch contents (all of the lines and annotations) from the opened part sketch, but when I attempt to paste either of those into the drawing, paste does not seem to be an option. I'd rather not have to draw the whole thing again, as in typical fashion, my once simple sketch has grown in proportion and complexity from its simple beginning.
First we imported an ".igs" file to inventor, which produced "wires". Then by promoting the wires it produced a 3-d sketch.
The model is in one plane and 2-D, and we are trying to use Ansys 2-D analysis, but in-order to do so it needs to be in a 2-D sketch.
The model is too large to be redrawn on a 2-D plane, how to convert it to a 2-D sketch